Creating customers accounts in batch mode

Deprecated endpoint.
Use POST /enterprise/customers/sa/v1/customers/register instead.

Creates customers in batch mode (max=1000) and returns results containing customer credentials.

Response contains results for each customer in request (can be mapped by extId or email).

If result status is success - token pair is provided to access customer API.
For each succeed result extId is generated (if not provided in request) - it must be stored on
the client side as customer id, to be able access other partner endpoints related to customers.

If result status is failure - errors describing problems are provided.

Endpoint always returns 200 as a response code,
even if 1 failure met in result or all the requests are failed.

IMPORTANT: If you want to create one user, just pass data for one user to this endpoint

Recent Requests
Log in to see full request history
TimeStatusUser Agent
Retrieving recent requests…
LoadingLoading…
Body Params
Responses

Language
Credentials
Bearer
JWT
URL
LoadingLoading…
Response
Click Try It! to start a request and see the response here! Or choose an example:
application/json